petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGLSetType

sets the class of general linear method to use for time-stepping

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLSetType(TS ts,TSGLType type)

Collective on TS Many br

### Input Parameters

| ts | - the TS context Many br
| type | - a method Many br

### Options Database Key

-ts_gl_type <type> -sets the method, use -help for a list of available method (e.g. irks) Many br

### Notes

See "petsc/include/petscts.h" for available methods (for instance) Many br
TSGL_IRKS -Diagonally implicit methods with inherent Runge-Kutta stability (for stiff problems) Many br

Normally, it is best to use the TSSetFromOptions() command and Many brthen set the TSGL type from the options database rather than by using Many brthis routine. Using the options database provides the user with Many brmaximum flexibility in evaluating the many different solvers. Many brThe TSGLSetType() routine is provided for those situations where it Many bris necessary to set the timestepping solver independently of the Many brcommand line or options database. This might be the case, for example, Many brwhen the choice of solver changes during the execution of the Many brprogram, and the user's application is taking responsibility for Many brchoosing the appropriate method. Many br

Many br

### Keywords

TS, TSGL, set, type

Level:intermediate
Location:src/ts/impls/implicit/gl/gl.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages